Main Page Modules Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# deByteOrder.hpp File Reference

utilities for handling byte ordering on different CPU architectures More...

`#include "deGlobalTypes.hpp"`

Include dependency graph for deByteOrder.hpp:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Functions
u16 | deSwap16 (u16 x)
u32 | deSwap32 (u32 x)
u64 | deSwap64 (u64 x)
s16 | deSwap16 (s16 val)
s32 | deSwap32 (s32 val)
s64 | deSwap64 (s64 val)
float | deSwap32 (float val)
double | deSwap64 (double val)

## Detailed Description

utilities for handling byte ordering on different CPU architectures

Author:
  Assassin

This file is the intellectual property of Novus Delta, LLC.. Usage of the contents of this file is subject to the Destiny3D Member License which can be found at http://www.destiny3d.com. Any other usage is prohibited.

This file is distributed "AS IS" without warranty of any kind. Novus Delta, LLC. does not guarantee the fitness of the contents of this file for any particular purpose.

Copyright (C) 2001-2003 Novus Delta, LLC. All Rights Reserved.

Change History

Date:
  June 2003

Author:
  Assassin

Remarks:
  Creation

## Function Documentation

s16 deSwap16 | ( | s16 | val | ) | `[inline, static]`

u16 deSwap16 | ( | u16 | x | ) | `[inline, static]`

| reverse the byte ordering in a 16-bit value. used via macros: deByteOrderLE16 and deByteOrderBE16

float deSwap32 | ( | float | val | ) | `[inline, static]`

s32 deSwap32 | ( | s32 | val | ) | `[inline, static]`

u32 deSwap32 | ( | u32 | x | ) | `[inline, static]`

| reverse the byte ordering in a 32-bit value. used via macros: deByteOrderLE32 and deByteOrderBE32

double deSwap64 | ( | double | val | ) | `[inline, static]`

s64 deSwap64 | ( | s64 | val | ) | `[inline, static]`

u64 deSwap64 | ( | u64 | x | ) | `[inline, static]`

| reverse the byte ordering in a 64-bit value. used via macros: deByteOrderLE64 and deByteOrderBE64